21 Ağustos 2017 Pazartesi

HTML5 ve H.264 sorunu - Opera

Debian 8 de Opera kullanıyorsanız, YouTube HTML5 video oynatıcı sorunu yaşıyor olabilirsiniz.
Öncelikle buradan kontrol edin, her hangi bir sorun yoksa hepsi mavi renkte olur zaten, ama h264 sorununu kırmızı ile veriyorsa  HTML5 video oynatıcı da sorun var demektir.

Opera'da bulunan libffmpeg kitaplığı, yalnızca ücretsiz codec bileşenlerini desteklediğinden, MP4'ü (H.264 / AAC) veya mp3'ü desteklemiyormuş
Vivaldide de benzer sorun varmış, ama Vivaldiyi kullanmıyorum ben.


Bende x264 olarak bunlar kurulu idi

# dpkg -l *x264* | grep ii
ii  libx264-142:amd64 2:0.142.2431+gita5831aa-1+b2     amd64        x264 video coding library
ii  libx264-146:amd64 3:0.146.2538+git121396c-dmo2     amd64        x264 video coding library
ii  libx264-146:i386  3:0.146.2538+git121396c-dmo2     i386         x264 video coding library
ii  libx264-148:amd64 2:0.148.2748+git97eaef2-1~bpo8+1 amd64        x264 video coding library
ii  x264              3:0.146.2538+git121396c-dmo2     amd64        Video encoder for the H.264/MPEG-4 AVC standard

Neyse ki problemin çözümü varmış, Ubuntu'nun oxideqt-codecs-extra paketini çekip içinde ki libffmpeg.so dosyasını kullanacağız.

İşleme başlayalım.
$ cd /tmp
$ wget http://security.ubuntu.com/ubuntu/pool/universe/o/oxide-qt/oxideqt-codecs-extra_1.21.5-0ubuntu0.16.04.1_amd64.deb
$ ar x oxideqt-codecs-extra_1.21.5-0ubuntu0.16.04.1_amd64.deb
$ tar xf data.tar.xz

Şimdi root olun.
# mkdir /usr/lib/x86_64-linux-gnu/opera/lib_extra
# cp /tmp/usr/lib/x86_64-linux-gnu/oxide-qt/libffmpeg.so /usr/lib/x86_64-linux-gnu/opera/lib_extra/.

İşlem bu kadar, sadece libffmpeg.so dosyasını /usr/lib/x86_64-linux-gnu/opera/lib_extra/ dizininne taşıdık hepsi bu.
Operayı kapatıp açın ve buradan kontrolünüzü edin.

Kolay gelsin.





Benzer Yayınlar

HTML5 ve H.264 sorunu - Opera
4/ 5
Oleh

Abone Olun!

Beğendiyseniz yayınlara abone olabilirsiniz.